VMOption.Origin (Monitoring and Management Interface for the Java Platform )
Keywords: com.sun.management.VMOption.Origin class
Date: 2026-04-17

compact3
com.sun.management

## Enum VMOption.Origin

- java.lang.Object
- - java.lang.Enum<VMOption.Origin>
  - - com.sun.management.VMOption.Origin

- All Implemented Interfaces:
    Serializable, Comparable<VMOption.Origin>
  Enclosing class:
    VMOption

      @Exported
      public static enum VMOption.Origin
      extends Enum<VMOption.Origin>

  Origin of the value of a VM option. It tells where the value of a VM option came from.
  Since:
    1.6

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CONFIG_FILE` The VM option was set via a configuration file.
    `DEFAULT` The VM option has not been set and its value is the default value.
    `ENVIRON_VAR` The VM option was set via an environment variable.
    `ERGONOMIC` The VM option was set via the VM ergonomic support.
    `MANAGEMENT` The VM option was set via the management interface after the VM was started.
    `OTHER` The VM option was set via some other mechanism.
    `VM_CREATION` The VM option was set at VM creation time typically as a command line argument to the launcher or an argument passed to the VM created using the JNI invocation interface.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static VMOption.Origin` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static VMOption.Origin[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DEFAULT

          public static final VMOption.Origin DEFAULT

      The VM option has not been set and its value is the default value.

    - #### VM_CREATION

          public static final VMOption.Origin VM_CREATION

      The VM option was set at VM creation time typically as a command line argument to the launcher or an argument passed to the VM created using the JNI invocation interface.

    - #### ENVIRON_VAR

          public static final VMOption.Origin ENVIRON_VAR

      The VM option was set via an environment variable.

    - #### CONFIG_FILE

          public static final VMOption.Origin CONFIG_FILE

      The VM option was set via a configuration file.

    - #### MANAGEMENT

          public static final VMOption.Origin MANAGEMENT

      The VM option was set via the management interface after the VM was started.

    - #### ERGONOMIC

          public static final VMOption.Origin ERGONOMIC

      The VM option was set via the VM ergonomic support.

    - #### OTHER

          public static final VMOption.Origin OTHER

      The VM option was set via some other mechanism.

  - ### Method Detail

    - #### values

          public static VMOption.Origin[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (VMOption.Origin c : VMOption.Origin.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static VMOption.Origin valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2003, 2026, Oracle and/or its affiliates. All rights reserved.